
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Windows 计算程序运行时间（高精度计时） / 憋错料</title>

    <meta name="description" content="Windows 计算程序运行时间（高精度计时） 首先,认识一下clock()和GetTickCount(): 一.clock()clock()是C/C++中的计时函数,而与其相关的数据类型是clock_t.在MSDN中,查得对clock函数定义如下:clock_t clock(void) ;简单而言,就是该程序从启动到函数调用占用CPU的时间.这个函数返回从“开启这个程序进程”到“程序中调用clock()函数”时之间的CPU时钟计时单元(clock tick)数,在MSDN中称之为挂钟时间(wal-clock):若挂钟时间不可取,则返回-1.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Windows 计算程序运行时间（高精度计时）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>首先，认识一下clock()和GetTickCount()：</p>
<p>一、clock()<br />clock()是C/C++中的计时函数，而与其相关的数据类型是clock_t。在MSDN中，查得对clock函数定义如下：<br />clock_t clock(void) ;<br />简单而言，就是该程序从启动到函数调用占用CPU的时间。这个函数返回从&ldquo;开启这个程序进程&rdquo;到&ldquo;程序中调用clock()函数&rdquo;时之间的CPU时钟计时单元（clock tick）数，在MSDN中称之为挂钟时间（wal-clock）；若挂钟时间不可取，则返回-1。其中clock_t是用来保存时间的数据类型。</p>
<p>在time.h文件中，我们可以找到对它的定义：</p>
<p><strong>[cpp]</strong>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">view plain</a>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">copy</a></p>

<ol>
<li>#ifndef&nbsp;_CLOCK_T_DEFINED</li>
<li>typedef&nbsp;long&nbsp;clock_t;</li>
<li>#define&nbsp;_CLOCK_T_DEFINED</li>
<li>#endif</li>
</ol>
<p>clock_t是一个长整形数。在time.h文件中，还定义了一个常量CLOCKS_PER_SEC，它用来表示一秒钟会有多少个时钟计时单元，其定义如下：<br />#define CLOCKS_PER_SEC ((clock_t)1000)</p>
<p>可以看到每过千分之一秒（1毫秒），调用clock（）函数返回的值就加1。简单的说就是clock（）可以精确到1毫秒。<br />在linux系统下，CLOCKS_PER_SEC的值可能有所不同，目前使用的linux打印出来的值是1000000，表示的是微秒。这一点需要注意。</p>
<p>二、GetTickCount()<br />GetTickcount函数：它返回从操作系统启动到当前所经过的毫秒数，它的返回值是DWORD。常常用来判断某个方法执行的时间，其函数原型是DWORD GetTickCount(void)，返回值以32位的双字类型DWORD存储，因此可以存储的最大值是(2^32-1) ms约为49.71天，因此若系统运行时间超过49.71天时，这个数就会归0，MSDN中也明确的提到了:"Retrieves the number of milliseconds that have elapsed since the system was started, up to 49.7 days."。因此，如果是编写服务器端程序，此处一定要万分注意，避免引起意外的状况。<br />特别注意：这个函数并非实时发送，而是由系统每18ms发送一次，因此其最小精度为18ms。当需要有小于18ms的精度计算时，应使用StopWatch方法进行。</p>
<p>使用clock计算时间差：</p>
<p><strong>[cpp]</strong>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">view plain</a>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">copy</a></p>

<ol>
<li>#include&nbsp;&lt;time.h&gt;</li>
<li>#include&nbsp;&lt;stdio.h&gt;</li>
<li>int&nbsp;main()</li>
<li>{</li>
<li>double&nbsp;start,end,cost;</li>
<li>start=clock();</li>
<li>sleep(1);</li>
<li>end=clock();</li>
<li>cost=end-start;</li>
<li>printf("%f/n",cost);</li>
<li>return&nbsp;0;</li>
<li>}</li>
</ol>
<p>使用GetTickCount计算时间差：</p>
<p><strong>[cpp]</strong>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">view plain</a>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">copy</a></p>

<ol>
<li>#include&nbsp;&lt;iostream&gt;</li>
<li>#include&nbsp;&lt;windows.h&gt;</li>
<li>using&nbsp;namespace&nbsp;std;</li>
<li>int&nbsp;main()</li>
<li>{</li>
<li>double&nbsp;start&nbsp;=&nbsp;GetTickCount();</li>
<li>Sleep(1000);</li>
<li>double&nbsp;&nbsp;end=GetTickCount();</li>
<li>cout&nbsp;&lt;&lt;&nbsp;"GetTickCount:"&nbsp;&lt;&lt;&nbsp;end-start&nbsp;&lt;&lt;&nbsp;endl;</li>
<li>return&nbsp;0;</li>
<li>}</li>
</ol>
<p>可以得出结论：clock比GetTickCount具有更高的精度，所以如果需要更高精度的时间差，则建议使用clock。在程序耗时统计时，可以使用clock来帮助完成时间差的计算。</p>
<p>三、如果需要更高的时间精度（比如说服务器程序的耗时统计），可以在开始计时统计前先调用QueryPerformanceFrequency()函数获得机器内部计时器的时钟频率，接着在需要严格计时的事件发生前和发生之后分别调用QueryPerformanceCounter()，利用两次获得的计数之差和时钟频率，就可以计算出事件经历的精确时间（精度可以达到微秒级别）。下面是示例代码：</p>
<p><strong>[cpp]</strong>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">view plain</a>&nbsp;<a href="https://blog.csdn.net/hellokandy/article/details/51330028#" rel="external nofollow noreferrer">copy</a></p>

<ol>
<li>#include&nbsp;&lt;windows.h&gt;</li>
<li>#include&nbsp;&lt;iostream&gt;</li>
<li>int&nbsp;main()</li>
<li>{</li>
<li>LARGE_INTEGER&nbsp;timeStart;&nbsp;&nbsp;&nbsp;&nbsp;//开始时间</li>
<li>LARGE_INTEGER&nbsp;timeEnd;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;//结束时间</li>
<li>LARGE_INTEGER&nbsp;frequency;&nbsp;&nbsp;&nbsp;&nbsp;//计时器频率</li>
<li>QueryPerformanceFrequency(&amp;frequency);</li>
<li>double&nbsp;quadpart&nbsp;=&nbsp;(double)frequency.QuadPart;//计时器频率</li>
<li>QueryPerformanceCounter(&amp;timeStart);</li>
<li>Sleep(1000);//延时一秒</li>
<li>QueryPerformanceCounter(&amp;timeEnd);</li>
<li>//得到两个时间的耗时</li>
<li>double&nbsp;elapsed&nbsp;=&nbsp;(timeEnd.QuadPart&nbsp;-&nbsp;timeStart.QuadPart)&nbsp;/&nbsp;quadpart;</li>
<li>std::cout&nbsp;&lt;&lt;&nbsp;elapsed&nbsp;&lt;&lt;&nbsp;std::endl;//单位为秒，精度为微秒(1000000/cpu主频)</li>
<li>system("pause");</li>
<li>return&nbsp;0;</li>
<li>}</li>
</ol>
<p>多运行几次，可以看到，每次Sleep耗费的时间都不一样，所以sleep的时间精度是很低的！</p>
<p>https://blog.csdn.net/hellokandy/article/details/51330028</p>

<p>原文地址：https://www.cnblogs.com/findumars/p/8732306.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 17:49:02 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/view/" title="view">view</a>, <a href="https://www.biecuoliao.com/tag/str/" title="str">str</a>, <a href="https://www.biecuoliao.com/tag/bsp/" title="bsp">bsp</a>, <a href="https://www.biecuoliao.com/tag/%e5%b8%b8%e7%94%a8/" title="常用">常用</a>, <a href="https://www.biecuoliao.com/tag/source/" title="source">source</a>, <a href="https://www.biecuoliao.com/tag/cli/" title="cli">cli</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%80%e5%b0%8f/" title="最小">最小</a>, <a href="https://www.biecuoliao.com/tag/%e5%b8%b8%e9%87%8f/" title="常量">常量</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%a1%e6%95%b0/" title="计数">计数</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Windows 计算程序运行时间（高精度计时）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kNG7lM.html" rel="bookmark">windows下C&plus;&plus;高精度计时</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写代码时,经常会计算某一段代码的运行时间,以下提供一个微秒级别的类供参考 class CTimeCost { public: CTimeCost(const string &amp;str) : m_str(str) { QueryPerformanceFrequency(&amp;m_freg); QueryPerformanceCounter(&amp;m_begin); } ~CTimeCost() { LARGE_INTEGER end; QueryPerformanceCounter(&amp;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KPwLy3.html" rel="bookmark">c&plus;&plus; 计算程序运行时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载 http://blog.csdn.net/trustbo/article/details/10582287 以前经常听人提起如何计算程序运行时间,给出一系列函数,当时没有注意,随便选了clock()最简单的方式进行计算.等到真正需要检测程序性能提升了多少,才发现这里面有很多要注意的地方. 最常用的的方式: #include time_t start = clock(); time_t end = clock(); printf(&quot;the running time is : %f\n&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0axEdkM.html" rel="bookmark">C&plus;&plus;获取当前时间和计算程序运行时间的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++获取当前时间和计算程序运行时间的方法 获取当前时间: #include &lt;iostream&gt; #include &lt;Windows.h&gt; using namespace std; int main() { SYSTEMTIME sys; GetLocalTime(&amp;sys); cout&lt;&lt;sys.wYear&lt;&lt;&quot;年&quot;; cout&lt;&lt;sys.wMonth&lt;&lt;&quot;月&quot;; cout&lt;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nYZJjM.html" rel="bookmark">Windows下获取高精度时间注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows下获取高精度时间注意事项 [转贴 AdamWu] 花了很长时间才得到的经验,与大家分享. 1. RDTSC - 粒度: 纳秒级 不推荐优势: 几乎是能够获得最细粒度的计数器抛弃理由: A) 定义模糊 - 曾经据说是处理器的cycle counter,但是后来似乎又不是了.有的机器上每秒的TSC增长值等于CPU频率,有的却是一个不对应任何配置的数.到底是什么,Intel也没解释清楚. B) 不准确 - 这是最重大的缺陷.再细的粒度,不准的话也没用,至少不能当时间用.在有的CPU上,特			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZqLvD0.html" rel="bookmark">C&sol;C&plus;&plus;可以用的计算程序运行时间的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include&quot;head_file.h&quot; #include&lt;sys/timeb.h&gt; #include&lt;stdio.h&gt; int main() { timeb t1, t2;//定义两个变量 long t; double x, sum = 0, sum1=1; int i, j, n; printf(&quot;请输入x n:&quot;); scanf(&quot;%lf %d&quot;,&amp;x,&amp;n); ftime(&amp;t1);//记			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38yLWl4.html" rel="bookmark">Python  计算程序运行时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				import time def start_sleep():    time.sleep(3) if __name__ == '__main__':    #The start time     start = time.clock() #A program which will run for 3 seconds    start_sleep() #The End time     end = time.clock() print(&quot;The function run time is : %.0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41vojoM.html" rel="bookmark">&lbrack;转&rsqb;使用Stopwatch类实现高精度计时</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对一段代码计时同查通常有三种方法.最简单就是用DateTime.Now来进行比较了,不过其精度只有3.3毫秒,可以通过DllImport导入QueryPerformanceFrequency和QueryPerformanceCounter,实现高精度的计时,请参考&lt;.net平台下获取高精度时间类&gt;.在.NET 2.0中,新增了Stopwatch类处理计时需求,Stopwatch会优先使用高精度计时,仅当系统不支持时才会用DateTime来计时,可通过Stopwatch静态属性IsHighRes			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzZYykM.html" rel="bookmark">Delphi计算程序运行时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 var 2 StartTime, EndTime: cardinal; 3 begin 4 StartTime := GetTickCount; 5 sleep(1000); 6 EndTime := GetTickCount; 7 caption := (IntToStr(EndTime - StartTime) + ' ms'); 8 end; 转:Delphi 计算程序运行时间 http://www.delphitop.com/html/chengxu/2882.html 原文地址:h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aYmZk0.html" rel="bookmark">C、Java及Python中计算程序运行时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C/C++ http://wenku.baidu.com/view/9e6f4548852458fb770b56c7.html #include &lt;iostream&gt;  #include &lt;time.h&gt; using namespace std;   int main() {      clock_t start, finish;      double totalTime;       start = clock();       //需要测试运行时间的代码段放在这       			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qEYP3.html" rel="bookmark" class="title">自定义Layer的两种方法</a>
					<div>
						view的完整显示过程: 1.view.layer会准备一个Layer Graphics Context(图层类型上下文) 2.调用view.layer.delegate(即view)的drawLay ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dBOg4.html" rel="bookmark" class="title">前端学PHP之字符串函数</a>
					<div>
						前面的话 字符串的处理和分析在任何编程语言中都是一个重要的基础,往往是简单而重要的.信息的分类.解析.存储和显示,以及网络中的数据都需要操作字符串来完成.尤其在web开发中更为重要,程序员大部分工作都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qoQjGM.html" rel="bookmark" class="title">JAVA位、赋值、条件运算符等</a>
					<div>
						public class NewClass { public void 位运算符(){ /* * 1 ~ 按位取反 1=~0 * 2 &amp; 按位与 0&amp;1=0 1&amp;1=1 0&a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8LY70.html" rel="bookmark" class="title">常用的MongoDB命令总结</a>
					<div>
						1. 排序,查看按时间倒序排列的最近几条记录 db.inventory.find().sort({'time':-1}).limit(10)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjAOn0.html" rel="bookmark" class="title">SQL 判断是否用where或and</a>
					<div>
						StringBuilder sql = new StringBuilder(); sql.Append(&quot;select DeskId,DeskName,DeskNamePinYin,Desk ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418VBY3.html" rel="bookmark" class="title">Tomcat在处理GET和POST请求时产生的乱码问题</a>
					<div>
						最近一直在做关于Servlet的事情,常常出现乱码,很是烦人,处理乱码的方法有时候有效,有时候没有效果,今天抽个时间小结一下,以防以后再出现这种问题. 一般的处理乱码的方式都是用: request.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRx1jM.html" rel="bookmark" class="title">Android ButterKnife配置使用</a>
					<div>
						ButterKnife在GitHub的地址:https://github.com/JakeWharton/butterknife 最新的版本是:8.4.0 app 模块的build.gradle: a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZoa93.html" rel="bookmark" class="title">HTTP协议 &lpar;三&rpar; HTTP协议详解</a>
					<div>
						HTTP协议详解 当今web程序的开发技术真是百家争鸣,ASP.NET, PHP, JSP,Perl, AJAX 等等. 无论Web技术在未来如何发展,理解Web程序之间通信的基本协议相当重要, 因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDo1Kw4.html" rel="bookmark" class="title">getresources&lpar;&rpar;与Spinner取消默认选中第一项</a>
					<div>
						getResource() getResource是在有context的前提下才能使用,在android中常在activity中使用它.普通的类一般无法使用.否则会报空指针异常. Spinner默认选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NG12BM.html" rel="bookmark" class="title">&period;NET vs2010中使用IrisSkin2&period;dll轻松实现winForm窗体换肤功能</a>
					<div>
						.NET vs2010中使用IrisSkin2.dll轻松实现winForm窗体换肤功能 转载▼ 大家好,从事c-s开发的C#程序员经常为winForm的界面设计苦恼,笔者曾经也深受“美工神话”的危害 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1gwy4.html" rel="bookmark" class="title">爷爷都是从孙子过来的</a>
					<div>
						       					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Zb8Pd3.html" rel="bookmark" class="title">你无法修改 Git 的历史记录</a>
					<div>
						转自:http://www.oschina.net/news/26241/you-can-not-change-git-history 有时候使用Git工作得小心翼翼,特别是涉及到一些高级操作,例如  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZZEX0.html" rel="bookmark" class="title">MySQL数据类型--------字符串类型实战</a>
					<div>
						1. 背景 * MySQL支持的字符串类型有CHAR.VARCHAR.二进制.var二进制.BLOB.文本等等. 2. 字符串类型所需的存储和值范围 类型 说明 N的含义 是否有字符集 最大长度 CH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzB8b3.html" rel="bookmark" class="title">删除文件和目录：rm</a>
					<div>
						[[email protected] ~]# rm 123 # 删除文件 [[email protected] ~]# rm -r 123 # -r 表示删除目录及目录下的文件 [[email pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymoJEM.html" rel="bookmark" class="title">Mockito对final类型和方法的支持&lpar;二&rpar;&colon;为什么在版本2&period;1之后支持final类型和方法及使用限制</a>
					<div>
						p { margin-bottom: 0.1in; line-height: 120% } a:link { } 在第一部分中我们讲到Mockito使用cglib子类化来实现mocking,从而无法支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02262B0.html" rel="bookmark" class="title">4、Vagrantfile常用配置</a>
					<div>
						1. Vagrantfile简介 Vagrantfile是一个简单的文本文件,通过它可以定义虚拟机的各种配置,如网络.内存.主机名等,每个项目都需要有一个Vagrantfile,在执行vagrant  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZLJ70.html" rel="bookmark" class="title">第三发</a>
					<div>
						type() type(int) type(3) type(123)==type(456) import types type(&quot;abc&quot;) == types.StringType ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xallN3.html" rel="bookmark" class="title">万能适配器的打造！</a>
					<div>
						一.分析 1通用Viewhold类: (1)利用一个容器SparseArray将View进行封装 (2)提供Viewhold方法,new一个convertview: 提供Viewhold get方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRdnpM.html" rel="bookmark" class="title">poj1328 Radar Installation（贪心）</a>
					<div>
						转载请注明出处:http://blog.csdn.net/u012860063?viewmode=contents 题目链接:http://poj.org/problem?id=1328 Descri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRB8jM.html" rel="bookmark" class="title">codechef Open the Dragon Scroll bitset容器的运用</a>
					<div>
						Open the Dragon Scroll Did you ever hear about 'Dragon Food' ? Its used to refer to the chocolates b ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.082 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
